DRBLSRV(8)

NAME
drblsrv - program to make a DRBL server

SYNOPSIS

drblsrv [{-f | --force-yes}] [{-i | --install}] [{-u | --uninstall}] [{-v | --verbose}] [{-t | --testing} {y | n}] [{-a | --unstable} {y | n}] [{-n | --netinstall} {y | n}] [{-m | --smp-client} {y | n}] [{-x | --set-proxy} {y | n}] [{-c | --console-output} {y | n}] [{-g | --upgrade_system} {y | n}] [{-k | --client_archi} {0 | 1 | 2}] [{-o | --client_kernel_from} {1 | 2}] [{-s | --skip-select-repository}] [{-l | --language} {0 | 1 | 2}]

drblsrv [{-h | --help} | {-v | --version}]

DESCRIPTION

drblsrv is a program to build or maintain a DRBL server.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f, --force-yes
    force yes, only for Debian-like distribution. It should not be used except in very special situations. Using force-yes can potentially destroy your system!

-i, --install
    install DRBL.

-u, --uninstall
    uninstall DRBL.

-v, --verbose
    verbose mode.

-t [y/n], --testing [y/n]
    use packages in testing branch or not.

-a [y/n], --unstable [y/n]
    use packages in unstable branch or not.

-n [y/n], --netinstall [y/n]
    install the network installation program or not.

-m [y/n], --smp-client [y/n]
    use SMP kernel for DRBL clients or not.

-x [y/n], --set-proxy [y/n]
    set proxy or not.

-c [y/n], --console-output [y/n]
    set console output for client or not.

-g [y/n], --upgrade_system [y/n]
    upgrade system or not.

-k [0|1|2], --client_archi [0|1|2]
    set the client's CPU arch, 0 for i386, 1 for i586, 2 for same level with DRBL server (for x86_64, use 2).

-o [1|2], --client_kernel_from [1|2]
    choose client's kernel image from, 1 from DRBL server running kernel (if available), 2 from ayo repository.

-s, --skip-select-repository
    skip the question for selecting repository.

-l [N], --language [N]
    Set the language to be shown, where N: 0: English, 1: Traditional Chinese (Big5) - Taiwan, 2: Traditional Chinese (UTF-8, Unicode) - Taiwan.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

/etc/drbl/drbl.conf
    The system-wide configuration file to control the behaviour of drblsrv. See drbl.conf(5) for further details.

${HOME}/.drbl.conf
    The per-user configuration file to control the behaviour of drblsrv. See drbl.conf(5) for further details.

ENVIRONMENT

DRBL_SCRIPT_PATH
    If used, the defined path is used to access each of drbl's routine scripts.

DIAGNOSTICS

The following diagnostics may be issued on stderr:

Any error messages worth to be reported in this manpage?
    If so, they should be documented here.

drblsrv provides some return codes, that can be used in scripts:
Code | Diagnostic
0 | Program exited successfully.
1 | is such documentation useful? If no, erase it.

KNOWN BUGS

The program is currently limited to only work with ... [some known bugs?]

SEE ALSO

drbl.conf(5), drblpush(8)

AUTHORS

Georges Khaznadar <georgesk@ofset.org>
    Wrote this manpage for the Debian system, based on the output of the command "drblsrv -h".

Steven Shiau <steven@nchc.org.tw>
    Wrote the command drblsrv, including its short documentation.

COPYRIGHT
Copyright © 2011 Georges Khaznadar

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.